var _templateObject;

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

import { GLSL } from 'gl-react';
export function getShader(numX, numY) {
  return GLSL(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n    #version 300 es\n    #define M_PI 3.1415926535897932384626433832795\n    \n    precision highp float;\n    in vec2 uv;\n    out vec4 fragColor1;\n    uniform vec3 colors[", "];\n  \n    const int numX = ", ";\n    const int numY = ", ";\n  \n    vec3 linearTosRGB(vec3 linear) {\n      vec3 upper = vec3(1.055) * pow(linear, vec3(1.0/2.4)) - vec3(0.055);\n      vec3 lower = linear * vec3(12.92);\n      bvec3 threshold = lessThan(linear, vec3(0.003131));\n      return lower * vec3(threshold) + upper * vec3(not(threshold));\n    }\n    \n    void main1() {\n      vec3 linear = vec3(0);\n      for (int j = 0; j < numY; j++) {\n        for (int i = 0; i < numX; i++) {\n          float basis = cos(M_PI * uv.x * float(i)) * cos(M_PI * (1.0 - uv.y) * float(j));\n          vec3 color = colors[i + j * numX];\n          linear += color * basis;\n        }\n      }\n      fragColor = vec4(linearTosRGB(linear), 1.0);\n    }\n  "])), numX * numY, numX, numY);
}
//# sourceMappingURL=getShader.js.map